package dev.crucifixbeta.api.events.eventbus;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public interface ICancellable {
   default void cancel() {
      this.setCancelled(true);
   }

   boolean isCancelled();

   void setCancelled(boolean bl);
}
